<!-- Readme.md v1.1.2.0
Field Training Lab (FTL)
created: 23 Sep 19
updated: 2020 03 21 -->

## Download on [SpaceDock][MOD:rel-spacedock] or [Github][MOD:rel-github] or [Curseforge][MOD:rel-curseforge]. Also available on [CKAN][MOD:rel-ckan].  

# Field Training Lab (FTL)
### Adopted by [@zer0Kerbal][LINK:zer0kerbal] with continued support from the community.  
#### formerly TrainingLaboratory by [@Efour][LINK:efour]  
![Mod Version][shield:mod:latest] 
![KSP version][shield:ksp] ![KSP-AVC][shield:kspavc] ![License MIT][shield:license] ![][LOGO:mit]   
![SpaceDock][shield:spacedock] ![CKAN][shield:ckan] ![GitHub][shield:github] ![Curseforge][shield:curseforge]  
![Code][shield:code] ![Validate AVC .version files][shield:avcvalid]  
***

This mod provides a training system (school) for your kerbalnauts by adding a Field Training Lab into all science laboratories. 

Field Training Lab provides a training method that consumes science points to get a kerbal experience(stars).
 
Pay 20 science and your kerbal recieved 1 experience. Once your kerbal has gained enough experience, they will level up (max of level 5). ***Must buy one entire level at a time.***
### Costs: [^2]
|Level| Stars   | Additional XP | Total XP ||
|-----|---------|---------------|----------|-----------------|
|0    | ☆☆☆☆☆ |    	0        |     0    |                 |
|1      | ★☆☆☆☆ |    	2          |	    2        |  +40 science|  
|2      | ★★☆☆☆ |    	6          | 8    |  +120 science|  
|3      | ★★★☆☆ |    	8          |	    16      |  +160 science|
|4      | ★★★★☆ |    	16        |     32      |  +320 science|
|5      | ★★★★★ |    	32        |     64      |  +640 science|
  
#### Training costs will be reduced:  
- by 50% when your Field Training Lab is in orbit  
- by 75% when your Field Training Lab is on other planet  

#### Cabin notes:  
- You can tweak values by editing the part.cfg or using a ModuleManager patch.  
- This module can be added to other crewed parts directly or using a ModuleManager patch.  
- The code currently only works with the first eight kerbals in a part.  
***
![Field Training Lab][IMG:hero:0]  
If leveling up 'Immediately' is not realistic? Do you think Training needs time to complete? Then [Field Training Facility][thread:FTF] will be answer for you. Field Training Facility (FTL) consumes Time and Electric Charge in order to train (school) your kerbalnauts. 
***
![Field Training Facility][IMG:hero:1]
### And you can have both installed
> Now then, someone like me will want to use both. What happens?
#### *Both [Field Training Facility (FTF)][thread:FTF] and [Field Training Lab (FTL)][thread:FTL] work together when you have both of them installed. Result is shown below:*
![Kerbalnaut Field Training][IMG:hero:2]
The longer you train with FTF, the less science it costs to level immediately using the FTL.

For example - 
Just using FTL, Level 4 -> Level 5 consumes 640p of Science point.
But Level 4(50% with FTF) -> Level 5 consumes just 320p of science point.
If 90% with FTF? Just pay 64p of science point or wait some more days. you can get level 5 kerbalnaut.

More training means less science points needed, linearly.

#### These two addons can cooperate, If you want one thing, you can install just one mod. If you install both, they will cooperate and your kerbals profit!  
***
### Installation Directions:
- Use CKAN
### Changelog Summary
*See [ChangeLog][MOD:changelog] for full details of mod changes*
***
### Dependencies
- [x] [Kerbal Space Program][KSP:website] [![][shield:ksp]][KSP:website] ***may*** work on other versions (YMMV)
- [x] [Module Manager][thread:mm] [^2]
### Recomends  
- [x] [Field Training Lab (FTL)][thread:FTL]  
## Suggests
- [x] [On Demand Fuel Cells {ODFC)}][thread:ODFC]  
- [x] [Field Training Facility (FTF)][thread:FTF]  
- [x] [Docking Port Descriptions(DPD)][thread:DPD]  
- [x] [PicoPort Shielded (PPS)][thread:PPS]  
- [x] [Transparent Command Pods Repressurized)(TCP)][thread:TCP]  
- [x] [Stork Delivery System (SDS)][thread:SDS]
- [x] [Biomatic][thread:BIO]
- [x] [B9 Stock Switches (BSS)]()
- [x] [Oh Scrap!][thread:OHS]:  
- [x] [ScrapYard][thread:SYD]:  
- [x] [DaMichel's AeroRadial][thread:DAR]  
- [x] [DaMichel's CargoBays][thread:DCB]  
- [x] [DaMichel's Fuselage][thread:DMF]  
- [x] [DaMichel's Spherical Tanks][thread:DST]  
- [x] [Stork Delivery System (SDS)][thread:SDS]  
- [x] [SimpleLogistics!][thread:SL!]  
- [x] [SimpleConstructon!][thread:SC!]  
- [x] [Not So SimpleConstructon!][thread:NSSC]  
### Supports
- [x] [Kerbal Change Log][thread:kcl]  
- [x] [Kerbal Planetary Base Systems][thread:kpbs]  
### Conflicts
- [x] none known
***  
*red box below is a link to forum post on how to get support*  
[![How to get support][image:get-support]][thread:getsupport]

[![][UTUBE:img]][UTUBE:link]

### License
#### aka Legal Mumbo Jumbo
Source: [GitHub][MOD:github:repo]  
License: ![License MIT][shield:license] ![][LOGO:mit]    
> *** All bundled mods are distributed under their own licenses***  
> *** All art assets (textures, models, animations) are distributed under their own licenses***   
### Original
Author: [@EFour][LINK:efour]  
[Thread][MOD:original:thread]  
[Download][MOD:original:download]  
Source: [GitHub][MOD:original:source]  
License: ![License MIT][shield:license] ![][LOGO:mit]  

###### v1.0.3. original: 11 Aug 2018 0K updated: 21 Mar 2020 zed'K

<!-- graphical links to downloads -->
[MOD:license]:      https://github.com/zer0Kerbal/SimpleLogistics/blob/master/LICENSE
[MOD:contributing]: https://github.com/zer0Kerbal/FieldTrainingLab/blob/master/.github/CONTRIBUTING.md
[MOD:issues]:       https://github.com/zer0Kerbal/FieldTrainingLab/issues
[MOD:wiki]:         https://github.com/zer0Kerbal/FieldTrainingLab/
[MOD:known]:        https://github.com/zer0Kerbal/FieldTrainingLab/wiki/Known-Issues
[MOD:forum]:        https://forum.kerbalspaceprogram.com/index.php?/topic/191045-*
[MOD:github:repo]:  https://github.com/zer0Kerbal/FieldTrainingLab/
[MOD:changelog]:    https://raw.githubusercontent.com/zer0Kerbal/FieldTrainingLab/master/Changelog.cfg
[KSP:website]:      http://kerbalspaceprogram.com/

<!--- original mod stuff -->
[MOD:original:source]:  https://spacedock.info/mod/971/Training%20Laboratory/download/1.0.3.3  
[MOD:original:thread]:  https://forum.kerbalspaceprogram.com/index.php?/topic/149796-*  
[MOD:original:download]: https://spacedock.info/mod/971/Training%20Laboratory/download/1.0.3.3  

<!--- license logo urls -->
[LOGO:mit]:     https://i.postimg.cc/bvjfsMP5/MIT-17x17.png
[LOGO:gplv3]:   https://i.postimg.cc/90kCDs7K/gplv3-48x17.png
[LOGO:ccbysa4]: https://licensebuttons.net/l/by-sa/4.0/80x15.png

[MOD:rel-github]: https://github.com/zer0Kerbal/FieldTrainingLab/releases/latest "GitHub"
[MOD:rel-spacedock]: http://spacedock.info/mod/971
[MOD:rel-curseforge]: https://www.curseforge.com/kerbal/ksp-mods/fieldtraininglab
[MOD:rel-ckan]: http://forum.kerbalspaceprogram.com/index.php?/topic/90246-*

[image:rel-github]:       https://i.imgur.com/RE4Ppr9.png
[image:rel-spacedock]: https://i.imgur.com/m0a7tn2.png
[image:rel-curseforge]: https://i.postimg.cc/RZNyB5vP/Download-On-Curse.png
[image:get-support]:    https://i.postimg.cc/vHP6zmrw/image.png

[image:rel-ckan]:    https://i.postimg.cc/x8XSVg4R/sj507JC.png
[image:changelog]: https://i.postimg.cc/qM9p4V0C/changelog.png
[image:source]:      https://i.postimg.cc/tJ8GqW0H/source.png

[image:rel-github-sm]:      https://i.postimg.cc/1XXy5yfD/github.png
[image:rel-spacedock-sm]: https://i.postimg.cc/DZ22Hrhj/spacedock.png
[image:rel-curseforge-sm]: https://i.postimg.cc/ZRVTSWKT/UVVt0OP.png
  
[shield:mod:latest]: https://img.shields.io/github/v/release/zer0Kerbal/FieldTrainingLab?include_prereleases?style=plastic
[shield:mod]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/FieldTrainingLab/master/json/mod.json
[shield:ksp]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/FieldTrainingLab/master/json/ksp.json
[shield:license]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/FieldTrainingLab/master/json/license.json
[shield:code]: https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/zer0Kerbal/FieldTrainingLab/master/json/code.json  
[shield:kspavc]:     https://img.shields.io/badge/KSP-AVC--supported-brightgreen.svg?style=plastic
[shield:spacedock]:  https://img.shields.io/badge/SpaceDock-listed-blue.svg?style=plastic
[shield:ckan]:       https://img.shields.io/badge/CKAN-Indexed-blue.svg?style=plastic
[shield:github]:     https://img.shields.io/badge/Github-Indexed-blue.svg?style=plastic&logo=github
[shield:curseforge]: https://img.shields.io/badge/CurseForge-listed-blue.svg?style=plastic  
[shield:avcvalid]:    https://github.com/zer0Kerbal/FieldTrainingLab/workflows/Validate%20AVC%20.version%20files/badge.svg

<!-- zer0Kerbal mods -->
[thread:ODFC]: https://forum.kerbalspaceprogram.com/index.php?/topic/187625-* "On Demand Fuel Cells"
[thread:FTF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Facility"
[thread:FTL]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188841-* "Field Training Lab"
[thread:MHH]:  https://forum.kerbalspaceprogram.com/index.php?/topic/188246-* "More Hitchhikers"
[thread:TCP]:  https://forum.kerbalspaceprogram.com/index.php?/topic/187495-* "Transparent Command Pods"
[thread:NUK]:  https://forum.kerbalspaceprogram.com/index.php?/topic/21466-*
[thread:OHS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "Oh Scrap!"
[thread:SYD]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192360-* "ScrapYard"
[thread:DRL]: https:// "DRElite (DRL)"

[thread:DPD]:  https://github.com/zer0Kerbal/KGEx/tree/master/GameData/KGEx/DockingPortDescriptions  
[thread:PPS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/192187-*  
[thread:VG0]:  http:// "Vanguard"  
[thread:PRB]:  http:// "ProbiTronics"  
[thread:CTN]:  http:// "CTN"  
[thread:DST]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Spherical Tanks"  
[thread:DMF]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's Fuselage"  
[thread:DAR]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's AeroRadial"  
[thread:DCB]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "DaMichel's CargoBays"  
[thread:SDS]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191719-* "Stork Delivery System (SDS)"  
[thread:SC!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191424-* "SimpleConstructon!"  
[thread:SL!]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191045-* "SimpleLogistics!"  
[thread:NSSC]: https://forum.kerbalspaceprogram.com/index.php?/topic/191504-* "Not So SimpleConstructon!" 
[thread:BIO]:  https://forum.kerbalspaceprogram.com/index.php?/topic/191426-* "Biomatic"  
[thread:BSS]:  http:// "B9 Stock Switches"  
[thread:HB!]:  http:// "HotBeverages"  

[thread:mm]:  http://forum.kerbalspaceprogram.com/index.php?/topic/50533-* "ModuleManager"  
[thread:mc]:  https://forum.kerbalspaceprogram.com/index.php?/topic/178484-* " "
[thread:kcl]:  https://forum.kerbalspaceprogram.com/index.php?/topic/179207-* "Kerbal Change Log"  

[thread:tweakscale]:            https://forum.kerbalspaceprogram.com/index.php?/topic/179030-*
[thread:crp]: http://forum.kerbalspaceprogram.com/index.php?/topic/83007-*
[thread:kpbs]: http://forum.kerbalspaceprogram.com/index.php?/topic/133606-1 "Kerbal Planetary Base Systems"  
[thread:getsupport]: https://forum.kerbalspaceprogram.com/index.php?/topic/83212-*
[thread:wiki:xp]: https://wiki.kerbalspaceprogram.com/wiki/Experience "KSP WIKI: Experience"
[LINK:zer0Kerbal]: https://forum.kerbalspaceprogram.com/index.php?/profile/190933-zer0kerbal/  
[LINK:efour]:      https://forum.kerbalspaceprogram.com/index.php?/profile/152350-efour/ "Efour"  
[LINK:orig]:       https://forum.kerbalspaceprogram.com/index.php?/profile/152350-efour/ "Efour"  


[IMG:hero:0]: https://i.imgur.com/VGwKrJn.png "Field Training Lab"  
[IMG:hero:1]: https://i.imgur.com/IA449bT.png "Field Training Facility" 
[IMG:hero:2]: https://i.imgur.com/FoeIXB6.png "with both Field Training Facility and Lab installed"  

[UTUBE:img]:  https://img.youtube.com/vi/-_IweZIT7OI/0.jpg  
[UTUBE:link]: https://youtu.be/-_IweZIT7OI "Kottabo Talks Field Training Facility"  


[^1]: *Be Kind: Lithobrake, not jakebrake! Keep your Module Manager up to date*  
[^2]: [KSP Wiki: Experience][thread:wiki:xp]  